import { b as BaseIconProps } from './BaseIcon-lVoIRPi1.js';
export { B as BaseIcon, a as BaseIconComponent, I as IconVariant } from './BaseIcon-lVoIRPi1.js';
import React from 'react';

declare const Campsite: React.FC<BaseIconProps>;

declare const Compass: React.FC<BaseIconProps>;

declare const Flag: React.FC<BaseIconProps>;

declare const Globe: React.FC<BaseIconProps>;

declare const Gps: React.FC<BaseIconProps>;

declare const HorizontalRoute: React.FC<BaseIconProps>;

declare const Location: React.FC<BaseIconProps>;

declare const LocationAddIn: React.FC<BaseIconProps>;

declare const LocationAddOu: React.FC<BaseIconProps>;

declare const LocationArrow: React.FC<BaseIconProps>;

declare const LocationArrowOff: React.FC<BaseIconProps>;

declare const LocationCheckIn: React.FC<BaseIconProps>;

declare const LocationCheckOu: React.FC<BaseIconProps>;

declare const LocationDownloadIn: React.FC<BaseIconProps>;

declare const LocationDownloadOu: React.FC<BaseIconProps>;

declare const LocationEditIn: React.FC<BaseIconProps>;

declare const LocationEditOu: React.FC<BaseIconProps>;

declare const LocationExclamationMarkIn: React.FC<BaseIconProps>;

declare const LocationExportIn: React.FC<BaseIconProps>;

declare const LocationExportOu: React.FC<BaseIconProps>;

declare const LocationFavouriteIn: React.FC<BaseIconProps>;

declare const LocationFavouriteOu: React.FC<BaseIconProps>;

declare const LocationImportIn: React.FC<BaseIconProps>;

declare const LocationImportOu: React.FC<BaseIconProps>;

declare const LocationInfoIn: React.FC<BaseIconProps>;

declare const LocationLockedIn: React.FC<BaseIconProps>;

declare const LocationLockedOu: React.FC<BaseIconProps>;

declare const LocationOff: React.FC<BaseIconProps>;

declare const LocationRemoveIn: React.FC<BaseIconProps>;

declare const LocationRemoveOu: React.FC<BaseIconProps>;

declare const LocationSearchIn: React.FC<BaseIconProps>;

declare const LocationSearchOu: React.FC<BaseIconProps>;

declare const LocationSubtractIn: React.FC<BaseIconProps>;

declare const LocationSubtractOu: React.FC<BaseIconProps>;

declare const LocationUploadIn: React.FC<BaseIconProps>;

declare const LocationUploadOu: React.FC<BaseIconProps>;

declare const LocationViewIn: React.FC<BaseIconProps>;

declare const LocationViewOu: React.FC<BaseIconProps>;

declare const Maps: React.FC<BaseIconProps>;

declare const Passport: React.FC<BaseIconProps>;

declare const PointerLeft: React.FC<BaseIconProps>;

declare const PointerRight: React.FC<BaseIconProps>;

declare const Road: React.FC<BaseIconProps>;

declare const RoadSignAheadOnly: React.FC<BaseIconProps>;

declare const RoadSignAirport: React.FC<BaseIconProps>;

declare const RoadSignLeft: React.FC<BaseIconProps>;

declare const RoadSignNoEntry: React.FC<BaseIconProps>;

declare const RoadSignNoStopping: React.FC<BaseIconProps>;

declare const RoadSignNoWaiting: React.FC<BaseIconProps>;

declare const RoadSignParking: React.FC<BaseIconProps>;

declare const RoadSignRight: React.FC<BaseIconProps>;

declare const RoadSignStop: React.FC<BaseIconProps>;

declare const RoadSignTurnLeftAhead: React.FC<BaseIconProps>;

declare const RoadSignTurnRightAhead: React.FC<BaseIconProps>;

declare const Route: React.FC<BaseIconProps>;

declare const TrafficCone: React.FC<BaseIconProps>;

export { BaseIconProps, Campsite, Compass, Flag, Globe, Gps, HorizontalRoute, Location, LocationAddIn, LocationAddOu, LocationArrow, LocationArrowOff, LocationCheckIn, LocationCheckOu, LocationDownloadIn, LocationDownloadOu, LocationEditIn, LocationEditOu, LocationExclamationMarkIn, LocationExportIn, LocationExportOu, LocationFavouriteIn, LocationFavouriteOu, LocationImportIn, LocationImportOu, LocationInfoIn, LocationLockedIn, LocationLockedOu, LocationOff, LocationRemoveIn, LocationRemoveOu, LocationSearchIn, LocationSearchOu, LocationSubtractIn, LocationSubtractOu, LocationUploadIn, LocationUploadOu, LocationViewIn, LocationViewOu, Maps, Passport, PointerLeft, PointerRight, Road, RoadSignAheadOnly, RoadSignAirport, RoadSignLeft, RoadSignNoEntry, RoadSignNoStopping, RoadSignNoWaiting, RoadSignParking, RoadSignRight, RoadSignStop, RoadSignTurnLeftAhead, RoadSignTurnRightAhead, Route, TrafficCone };
